OTBGUI_STEREORECTIFICATIONGRIDGENERATOR(1)

NAME
otbgui_StereoRectificationGridGenerator - OTB StereoRectificationGridGenerator application

DESCRIPTION
This is the StereoRectificationGridGenerator application, version 5.2.0 Generates two deformation fields to stereo-rectify (i.e. resample in epipolar geometry) a pair of stereo images up to the sensor model precision

Complete documentation: http://www.orfeo-toolbox.org/Applications/StereoRectificationGridGenerator.html

  Parameters:

-progress
    <boolean> Report progress

 -io.inleft <string> Left input image (mandatory)
 -io.inright <string> Right input image (mandatory)
 -io.outleft <string> [pixel] Left output deformation grid [pixel=uint8/uint16/int16/uint32/int32/float/double] (default value is float) (mandatory)
 -io.outright <string> [pixel] Right output deformation grid [pixel=uint8/uint16/int16/uint32/int32/float/double] (default value is float) (mandatory)

-epi.elevation.dem
    <string> DEM directory (optional, off by default)

-epi.elevation.geoid
    <string> Geoid File (optional, off by default)

-epi.elevation.default
    <float> Default elevation (mandatory, default value is 0)

-epi.elevation.avgdem.step <int32>
    Sub-sampling step (optional, off by default, default value is 1)

-epi.scale
    <float> Scale of epipolar images (mandatory, default value is 1)

-epi.step
    <int32> Step of the deformation grid (in nb. of pixels) (mandatory, default value is 1)

-inverse.outleft
    <string> [pixel] Left inverse deformation grid [pixel=uint8/uint16/int16/uint32/int32/float/double] (default value is float) (optional, off by default)

-inverse.outright
    <string> [pixel] Right inverse deformation grid [pixel=uint8/uint16/int16/uint32/int32/float/double] (default value is float) (optional, off by default)

-inverse.ssrate
    <int32> Sub-sampling rate for inversion (mandatory, default value is 16)

-inxml
    <string> Load otb application from xml file (optional, off by default)

EXAMPLES
otbgui_StereoRectificationGridGenerator -io.inleft wv2_xs_left.tif -io.inright wv2_xs_left.tif -io.outleft wv2_xs_left_epi_field.tif -io.outright wv2_xs_right_epi_field.tif -epi.elevation.default 400

SEE ALSO
The full documentation for otbgui_StereoRectificationGridGenerator is maintained as a Texinfo manual. If the info and otbgui_StereoRectificationGridGenerator programs are properly installed at your site, the command

    info otbgui_StereoRectificationGridGenerator

should give you access to the complete manual.